Categories:
  - Sports & Health
License: MIT
AuthorName: derdilla
SourceCode: https://github.com/NobodyForNothing/blood-pressure-monitor-fl
IssueTracker: https://github.com/NobodyForNothing/blood-pressure-monitor-fl/issues
Changelog: https://github.com/NobodyForNothing/blood-pressure-monitor-fl/releases

AutoName: blood pressure app

RepoType: git
Repo: https://github.com/NobodyForNothing/blood-pressure-monitor-fl

Builds:
  - versionName: 1.3.0
    versionCode: 12
    commit: 3162c9f534d236a193b53aa2221992a50f1bb34f
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.3.1
    versionCode: 13
    commit: 27ee20a57fafa8f01328c9fe106c147601fa4f99
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.3.2
    versionCode: 14
    commit: 2834f08641f1bfa4da159a41aff5306bf6f63c48
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.3.3
    versionCode: 15
    commit: 299d3a7370e916f78d27053b000f78b3c80f1283
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.4.0
    versionCode: 16
    commit: 942b167af7709d994350b2d168d0640f3d978cea
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.4.1
    versionCode: 17
    commit: f30fc7adb89a5959c30198d654576b74f6851af3
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.4.2
    versionCode: 18
    commit: 2da1a875cbab0c44fe3b73ddf6a7aff338e300be
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.6
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.4.3
    versionCode: 19
    commit: 4d73a5f4a236e4051e91f831eb615e4de442ee87
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.6
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 1.4.4
    versionCode: 20
    commit: aa0b53a46f37c30c2148b91bdcd192436adb960a
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.10.6
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: android/app/build.gradle|versionCode (\d+)|.|versionName "(.+)"
CurrentVersion: 1.4.4
CurrentVersionCode: 20
